Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.gui.action
Class KeyStrokes

    java.lang.Object
      org.apache.jmeter.gui.action.KeyStrokes

public final class KeyStrokes
extends Object

Field Summary
`static KeyStroke` | `ACTION_SHUTDOWN`
`static KeyStroke` | `ACTION_START`
`static KeyStroke` | `ACTION_STOP`
`static KeyStroke` | `CLEAR`
`static KeyStroke` | `CLEAR_ALL`
`static KeyStroke` | `CLOSE`
`static KeyStroke` | `COLLAPSE_ALL`
`static KeyStroke` | `COPY`
`static KeyStroke` | `CUT`
`static KeyStroke` | `DEBUG_OFF`
`static KeyStroke` | `DEBUG_ON`
`static KeyStroke` | `EXIT`
`static KeyStroke` | `EXPAND_ALL`
`static KeyStroke` | `FUNCTIONS`
`static KeyStroke` | `HELP`
`static KeyStroke` | `OPEN`
`static KeyStroke` | `PASTE`
`static KeyStroke` | `REMOTE_START_ALL`
`static KeyStroke` | `REMOTE_STOP_ALL`
`static KeyStroke` | `REMOVE`
`static KeyStroke` | `SAVE`
`static KeyStroke` | `SAVE_ALL_AS`
`static KeyStroke` | `SAVE_GRAPHICS`
`static KeyStroke` | `SAVE_GRAPHICS_ALL`
`static KeyStroke` | `SSL_MANAGER`
`static KeyStroke` | `WHAT_CLASS`

Method Summary
`static boolean` | `matches(KeyEvent e, KeyStroke k)` Check if an event matches the KeyStroke definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUT

    public static final KeyStroke CUT

### COPY

    public static final KeyStroke COPY

### PASTE

    public static final KeyStroke PASTE

### REMOVE

    public static final KeyStroke REMOVE

### SAVE_GRAPHICS

    public static final KeyStroke SAVE_GRAPHICS

### SAVE_GRAPHICS_ALL

    public static final KeyStroke SAVE_GRAPHICS_ALL

### HELP

    public static final KeyStroke HELP

### WHAT_CLASS

    public static final KeyStroke WHAT_CLASS

### DEBUG_ON

    public static final KeyStroke DEBUG_ON

### DEBUG_OFF

    public static final KeyStroke DEBUG_OFF

### FUNCTIONS

    public static final KeyStroke FUNCTIONS

### SSL_MANAGER

    public static final KeyStroke SSL_MANAGER

### ACTION_START

    public static final KeyStroke ACTION_START

### ACTION_STOP

    public static final KeyStroke ACTION_STOP

### ACTION_SHUTDOWN

    public static final KeyStroke ACTION_SHUTDOWN

### CLEAR

    public static final KeyStroke CLEAR

### CLEAR_ALL

    public static final KeyStroke CLEAR_ALL

### REMOTE_START_ALL

    public static final KeyStroke REMOTE_START_ALL

### REMOTE_STOP_ALL

    public static final KeyStroke REMOTE_STOP_ALL

### SAVE

    public static final KeyStroke SAVE

### SAVE_ALL_AS

    public static final KeyStroke SAVE_ALL_AS

### OPEN

    public static final KeyStroke OPEN

### CLOSE

    public static final KeyStroke CLOSE

### EXIT

    public static final KeyStroke EXIT

### COLLAPSE_ALL

    public static final KeyStroke COLLAPSE_ALL

### EXPAND_ALL

    public static final KeyStroke EXPAND_ALL

Method Detail

### matches

    public static boolean matches(KeyEvent e,
                                  KeyStroke k)

  Check if an event matches the KeyStroke definition.

  Parameters:
    `e` - event
    `k` - keystroke
  Returns:
    true if event matches the keystroke definition

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.